QuantLib: MCVanillaEngine< MC, RNG, S, Inst > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
MCVanillaEngine< MC, RNG, S, Inst > Class Template Reference
Pricing engines » Vanilla option engines

Pricing engine for vanilla options using Monte Carlo simulation. More...

`#include <ql/pricingengines/vanilla/mcvanillaengine.hpp>`

Inheritance diagram for MCVanillaEngine< MC, RNG, S, Inst >:
[legend]

## Public Member Functions
void | calculate () const
Public Member Functions inherited from McSimulation< MC, RNG, Statistics >
result_type | value (Real tolerance, Size maxSamples=QL_MAX_INTEGER, Size minSamples=1023) const
| add samples until the required absolute tolerance is reached
result_type | valueWithSamples (Size samples) const
| simulate a fixed number of samples
result_type | errorEstimate () const
| error estimated using the samples simulated so far
const stats_type & | sampleAccumulator () const
| access to the sample accumulator for richer statistics
void | calculate (Real requiredTolerance, Size requiredSamples, Size maxSamples) const
| basic calculate method provided to inherited pricing engines

## Protected Types
typedef McSimulation< MC, RNG, S >::path_generator_type | path_generator_type
typedef McSimulation< MC, RNG, S >::path_pricer_type | path_pricer_type
typedef McSimulation< MC, RNG, S >::stats_type | stats_type
typedef McSimulation< MC, RNG, S >::result_type | result_type

## Protected Member Functions
| MCVanillaEngine (const ext::shared_ptr< StochasticProcess > &, Size timeSteps, Size timeStepsPerYear, bool brownianBridge, bool antitheticVariate, bool controlVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
TimeGrid | timeGrid () const
ext::shared_ptr< path_generator_type > | pathGenerator () const
result_type | controlVariateValue () const
Protected Member Functions inherited from McSimulation< MC, RNG, Statistics >
| McSimulation (bool antitheticVariate, bool controlVariate)
virtual ext::shared_ptr< path_pricer_type > | pathPricer () const=0
virtual ext::shared_ptr< path_generator_type > | pathGenerator () const=0
virtual TimeGrid | timeGrid () const=0
virtual ext::shared_ptr< path_pricer_type > | controlPathPricer () const
virtual ext::shared_ptr< path_generator_type > | controlPathGenerator () const
virtual ext::shared_ptr< PricingEngine > | controlPricingEngine () const
virtual result_type | controlVariateValue () const

## Protected Attributes
ext::shared_ptr< StochasticProcess > | process_
Size | timeSteps_
Size | timeStepsPerYear_
Size | requiredSamples_
Size | maxSamples_
Real | requiredTolerance_
bool | brownianBridge_
BigNatural | seed_
Protected Attributes inherited from McSimulation< MC, RNG, Statistics >
ext::shared_ptr< MonteCarloModel< MC, RNG, Statistics > > | mcModel_
bool | antitheticVariate_
bool | controlVariate_

## Additional Inherited Members
Public Types inherited from McSimulation< MC, RNG, Statistics >
typedef MonteCarloModel< MC, RNG, Statistics >::path_generator_type | path_generator_type
typedef MonteCarloModel< MC, RNG, Statistics >::path_pricer_type | path_pricer_type
typedef MonteCarloModel< MC, RNG, Statistics >::stats_type | stats_type
typedef MonteCarloModel< MC, RNG, Statistics >::result_type | result_type
Static Protected Member Functions inherited from McSimulation< MC, RNG, Statistics >
static Real | maxError (const Sequence &sequence)
static Real | maxError (Real error)

## Detailed Description

### template<template< class > class MC, class RNG, class S = Statistics, class Inst = VanillaOption>
class QuantLib::MCVanillaEngine< MC, RNG, S, Inst >

Pricing engine for vanilla options using Monte Carlo simulation.